summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorYoel Lion2015-09-22 12:20:18 +0300
committerYoel Lion2015-09-22 12:20:18 +0300
commitdc5d470d19ad953b05e5a4cd3f86f74a53d74888 (patch)
treeca2ec4d463fe331bdc13021cca1f704b5650eac4
downloadaur-orayta.tar.gz
Initial import
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD39
2 files changed, 63 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..629682284df
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = orayta
+ pkgdesc = Jewish books program with Hebrew & French translations
+ pkgver = r99.a5570d4
+ pkgrel = 1
+ url = http://code.google.com/p/orayta/
+ arch = i686
+ arch = x86_64
+ license = GPLv3
+ makedepends = qt5-base
+ makedepends = git
+ depends = fribidi
+ depends = qt5-webkit
+ depends = orayta-books
+ optdepends = ttf-dejavu: good for Hebrew fonts
+ optdepends = culmus: better for Hebrew fonts
+ optdepends = ttf-sbl-hebrew: a biblical Hebrew fonts
+ optdepends = ttf-sil-ezra: a another Hebrew fonts
+ conflicts = quazip
+ conflicts = orayta-svn
+ source = git+https://github.com/MosheWagner/Orayta-QT.git
+ md5sums = SKIP
+
+pkgname = orayta
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1a005f2a816
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Yoel Lion <yoel3ster at gmail dot com>
+
+_pkgname=Orayta-QT
+pkgname=orayta
+pkgver=r99.a5570d4
+pkgrel=1
+pkgdesc="Jewish books program with Hebrew & French translations"
+arch=('i686' 'x86_64')
+license=('GPLv3')
+url="http://code.google.com/p/orayta/"
+depends=('fribidi' 'qt5-webkit' 'orayta-books')
+makedepends=('qt5-base' 'git')
+conflicts=('quazip' 'orayta-svn')
+optdepends=('ttf-dejavu: good for Hebrew fonts'
+ 'culmus: better for Hebrew fonts'
+ 'ttf-sbl-hebrew: a biblical Hebrew fonts'
+ 'ttf-sil-ezra: a another Hebrew fonts')
+source=(git+https://github.com/MosheWagner/Orayta-QT.git)
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+build() {
+cd $srcdir/$_pkgname
+qmake-qt5 PREFIX=/usr
+make
+}
+
+package() {
+cd $srcdir/$_pkgname
+make INSTALL_ROOT=${pkgdir} install
+}
+
+